"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.main = void 0;
const program_error_1 = require("./program-error");
function main(program) {
    const [, , ...args] = process.argv;
    Promise.resolve()
        .then(() => program(args))
        .then(code => {
        if (typeof code !== 'number') {
            code = 0;
        }
        process.exit(code);
    }, error => {
        if (error instanceof program_error_1.ProgramError) {
            const message = error.message;
            if (message) {
                console.error(message);
            }
            process.exit(error.code);
        }
        else {
            console.error(error instanceof Error ? error.stack : error);
            process.exit(1);
        }
    });
}
exports.main = main;
//# sourceMappingURL=main.js.map